sling-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Radu Cotescu (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (SLING-7306) The JS Use Provider bundle should explicitly depend on the Rhino Script Engine
Date Tue, 19 Dec 2017 09:59:01 GMT

     [ https://issues.apache.org/jira/browse/SLING-7306?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Radu Cotescu closed SLING-7306.
-------------------------------

> The JS Use Provider bundle should explicitly depend on the Rhino Script Engine
> ------------------------------------------------------------------------------
>
>                 Key: SLING-7306
>                 URL: https://issues.apache.org/jira/browse/SLING-7306
>             Project: Sling
>          Issue Type: Bug
>          Components: Scripting
>    Affects Versions: Scripting Sightly JS Use Provider 1.0.0, Scripting HTL JS Use Provider
1.0.12
>            Reporter: Radu Cotescu
>            Assignee: Radu Cotescu
>             Fix For: Scripting HTL JS Use Provider 1.0.26
>
>
> Once SLING-7305 is implemented the JavaScript Use Provider should make sure that the
used Scripting Engine is Rhino, since the Use Provider injects some wrapper objects for the
JavaScript {{use}} function into the JavaScript context.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message